Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DERPrintableString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.DERPrintableString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class DERPrintableString

extends ASN1Object
implements DERString

DER PrintableString object.

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERPrintableString(byte[] string)` basic constructor - byte encoded string.
`DERPrintableString(java.lang.String string)` basic constructor - this does not validate the string
`DERPrintableString(java.lang.String string, boolean validate)` Constructor with optional validation.

Method Summary
`static DERPrintableString` `getInstance(ASN1TaggedObject obj, boolean explicit)` return a Printable String from a tagged object.
`static DERPrintableString` `getInstance(java.lang.Object obj)` return a printable string from the passed in object.
`byte[]` `getOctets()`
`java.lang.String` `getString()`
`int` `hashCode()`
`static boolean` `isPrintableString(java.lang.String str)` return true if the passed in String can be represented without loss as a PrintableString, false otherwise.
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DERPrintableString

    public DERPrintableString(byte[] string)

  basic constructor - byte encoded string.

### DERPrintableString

    public DERPrintableString(java.lang.String string)

  basic constructor - this does not validate the string

### DERPrintableString

    public DERPrintableString(java.lang.String string,
                              boolean validate)

  Constructor with optional validation.

  Parameters:
    `string` - the base string to wrap.
    `validate` - whether or not to check the string.
  Throws:
    `java.lang.IllegalArgumentException` - if validate is true and the string contains characters that should not be in a PrintableString.

Method Detail

### getInstance

    public static DERPrintableString getInstance(java.lang.Object obj)

  return a printable string from the passed in object.

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERPrintableString getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

  return a Printable String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isPrintableString

    public static boolean isPrintableString(java.lang.String str)

  return true if the passed in String can be represented without loss as a PrintableString, false otherwise.

  Returns:
    true if in printable set, false otherwise.

Bouncy Castle Cryptography Library 1.45